Files
apfstests/tests/xfs/092
T

46 lines
857 B
Bash
Raw Normal View History

#! /bin/bash
2018-06-09 11:35:45 +10:00
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2000-2004 Silicon Graphics, Inc. All Rights Reserved.
#
# FS QA Test No. 092
#
# Make sure that we can mount inode64 filesystems
#
seq=`basename $0`
seqres=$RESULT_DIR/$seq
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
cd /
rm -f $tmp.*
}
# get standard environment, filters and checks
2013-03-15 12:28:04 +00:00
. ./common/rc
. ./common/filter
# real QA test starts here
# Modify as appropriate.
_supported_fs xfs
_supported_os Linux
_require_scratch
_require_no_large_scratch_dev
MOUNT_OPTIONS="$MOUNT_OPTIONS -o inode64"
_scratch_mkfs_xfs | _filter_mkfs 2>/dev/null
echo Silence is golden
_try_scratch_mount
[ $? -eq 0 ] || echo "inode64 mount failed unexpectedly!"
# success, all done
status=0
exit